/*
 * Copyright (C) 2021-2024  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef PROTO_WRAP_HH_03556AF906DF53ED741AC97B774E4F9E
#define PROTO_WRAP_HH_03556AF906DF53ED741AC97B774E4F9E

#include "cdnskey_processor_api/service_supervisor_grpc.pb.h"

#include "src/scan_tasks.hh"

namespace Fred {
namespace Akm {

CdnskeyProcessor::Api::Supervisor::ScanTaskCollectionRequest proto_wrap(const ScanTasks::const_iterator& begin, const ScanTasks::const_iterator& end);

} // namespace Fred::Akm
} // namespace Fred

#endif//PROTO_WRAP_HH_03556AF906DF53ED741AC97B774E4F9E
